/* --------------- */
/* Global */

@font-face {
  font-family: "NerdFonts";
  src: url("fonts/3270-Medium Nerd Font Complete.ttf");
}

* {
  box-sizing: border-box;
  font-family: "NerdFonts", sans-serif;
  scrollbar-color: #333333db;
  scrollbar-width: thin;
}

blockquote {
  background: #212325;
  border-left: 6px solid #3e4446;
  padding: 0.5rem;
  margin-inline-start: 30px;
  margin-inline-end: 30px;
}

/*
  Callouts

  The types and colors originate from the Obsidian client. Any unrecognized type will
  default to the "note" type.
*/

.callout {
  --callout-color: 68, 138, 255;
}

.callout[data-callout="abstract"],
.callout[data-callout="summary"],
.callout[data-callout="tldr"] {
  --callout-color: 0, 176, 255;
}

.callout[data-callout="info"],
.callout[data-callout="todo"] {
  --callout-color: 0, 184, 212;
}

.callout[data-callout="tip"],
.callout[data-callout="hint"],
.callout[data-callout="important"] {
  --callout-color: 0, 191, 165;
}

.callout[data-callout="success"],
.callout[data-callout="check"],
.callout[data-callout="done"] {
  --callout-color: 0, 200, 83;
}

.callout[data-callout="question"],
.callout[data-callout="help"],
.callout[data-callout="faq"] {
  --callout-color: 100, 221, 23;
}

.callout[data-callout="warning"],
.callout[data-callout="caution"],
.callout[data-callout="attention"] {
  --callout-color: 255, 145, 0;
}

.callout[data-callout="failure"],
.callout[data-callout="fail"],
.callout[data-callout="missing"] {
  --callout-color: 255, 82, 82;
}

.callout[data-callout="danger"],
.callout[data-callout="error"] {
  --callout-color: 255, 23, 68;
}

.callout[data-callout="bug"] {
  --callout-color: 245, 0, 87;
}

.callout[data-callout="example"] {
  --callout-color: 124, 77, 255;
}

.callout[data-callout="quote"],
.callout[data-callout="cite"] {
  --callout-color: 158, 158, 158;
}

.callout {
  border-left: 4px solid rgb(var(--callout-color));
  border-radius: 2px;
  margin-inline-start: unset;
  margin-inline-end: unset;
}

h2 {
  margin-top: 1rem;
}

.external-link {
  background-position: center right;
  background-repeat: no-repeat;
  background-image: linear-gradient(transparent, transparent),
    url(../external-link.svg);
  background-size: 13px;
  padding-right: 16px;
  background-position-y: 2px;
}

td,
th {
  border-width: 0.1px;
  padding: 5px;
}

main {
  display: flex;
  flex-wrap: nowrap;
  overflow: hidden;
  padding-top: 100px;
  width: 100%;
  height: 100%;
  position: fixed;
}

.markdown {
  height: 98%;
  overflow: auto;
}

.divider-top {
  width: 100%;
  position: absolute;
  top: 60px;
  border: solid rgba(0, 0, 0, 0.15);
  border-bottom: 0.5em;
}

.divider {
  height: 100%;
  border: solid rgba(0, 0, 0, 0.15);
  border-top: 0px;
  border-right: 0px;
  border-bottom: 0px;
  padding-left: 30px;
}

.perlite-bread {
  margin-top: 0px;
  margin-bottom: 0px;
}

.header-my {
  width: 100%;
  padding-right: var(--bs-gutter-x, 2rem);
  padding-left: var(--bs-gutter-x, 2rem);
  margin-right: auto;
  margin-left: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  overflow: hidden;
}

/* --------------- */
/* Images */

#imgContainer {
  text-align: center;
  background-color: transparent;
}

.images {
  max-width: 800px;
  max-height: 800px;
}

img {
  max-width: 100%;
}

.aboutModalBody > p > img {
  max-width: 100%;
}

/* --------------- */
/* Side-Navbar */

.sticky-nav {
  position: relative;
  display: flex;
  height: 100%;
  z-index: 1020;
}

.perlite-navigator {
  overflow-y: auto;
  height: 100%;
  margin-left: -15px;
  max-width: 440px;
}

.nav-left {
  min-width: 400px;
  display: grid;
  align-content: baseline;
}

.nav-right {
  width: 500px;
}

.list-unstyled {
  list-style: none;
  padding-left: 10px;
}

.list-unstyled li a {
  display: inline-flex;
  padding: 0.1875rem 0.5rem;
  margin-top: 0.125rem;
  margin-left: 1.25rem;
  text-decoration: none;
}

.btn-toggle::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%28200,200,200,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform 0.35s ease;
  transform-origin: 0.5em 50%;
}

.btn-toggle[aria-expanded="true"]::before {
  transform: rotate(90deg);
}

.btn:focus {
  outline: none !important;
  box-shadow: none !important;
}

.perlite-link {
  color: var(--bs-body-color);
}

.perlite-link:focus,
.perlite-link-active {
  color: var(--bs-info);
}

/* --------------- */
/* Search */

.searchFooter {
  padding-right: 10px;
  padding-top: 20px;
  display: flex;
  justify-content: flex-end;
}

.perlite-form:hover,
.perlite-form:focus {
  color: var(--bs-white);
  background-color: var(--bs-gray-800);
  border-color: var(--bs-info);
}

.perlite-form {
  color: var(--bs-white);
  background-color: var(--bs-gray-800);
  border: 1px solid var(--bs-gray-700);
}

/* --------------- */
/* Mobile / Responive Settings */

@media screen and (max-width: 990px) {
  .container-mobile,
  .no-mobile {
    display: none;
  }

  .nav-left {
    width: 100%;
    min-width: 0px;
  }

  .bd-aside {
    width: 100%;
    text-align: center;
  }

  .bi-fullscreen {
    width: 50;
    height: 50;
  }

  .list-unstyled li a {
    list-style: none;
    margin-left: 0px;
  }

  .list-unstyled {
    list-style: none;
    margin-left: 0px;
    padding-left: 0px;
  }

  .btn-toggle {
    margin-right: 16px;
  }

  .headline {
    padding-top: 15px;
  }

  main {
    padding-top: 40px;
  }

  .searchFooter {
    padding-top: 10px;
  }

  .header-my {
    padding-left: var(--bs-gutter-x, 0.5rem);
  }

  .searchFooter {
    position: fixed;
    top: 90px;
    right: 5px;
  }

  .perlite-navigator {
    margin-left: 0px;
    max-width: 100%;
  }

  .images,
  img {
    width: 100%;
  }

  .imagepreview {
    width: 200%;
  }
}

/* --------------- */
/* Chrome Scroll bars */
@media screen and (min-width: 990px) {
  /* ::-webkit-scrollbar {
    width: 10px;
    background-color: transparent;
  }

  ::-webkit-scrollbar-track {
    background-color: transparent;
  }

  ::-webkit-scrollbar-thumb {
    background-clip: padding-box;
    border: 3px solid transparent;
    background-color: #333333db;
    border-width: 3px 4px 3px 3px;
    min-height: 45px;
  } */
}

/* --------------- */
/* Graph Styles */

#mynetwork {
  display: flex;
  justify-content: flex-start;
  width: 100%;
  height: 500px;
}

#mynetwork_modal {
  width: 100%;
  height: 100%;
}

#graphContainer {
  background-color: #000000a3;
}

.btn-close-light {
  background-color: var(--bs-white);
}

.hide {
  display: none;
}
